@import '../../assets/styles/common.scss';

.left-menu {
  display: none;
  position: absolute;
  left: -40.5rem;
  z-index: 71;
  box-sizing: border-box;
  width: 40.5rem;
  height: 100%;
  padding: 4.2rem;
  background: #06002a 0% 0% no-repeat padding-box;
  box-shadow: 7px 6px 18px #000000bf;
  transition: left .5s;

  &__open {
    display: block;
    left: 0;
  }

  &-indicator {
    position: absolute;
    top: 4.4rem;
    left: -11.1563720703125px;
    z-index: 70;
    width: 4.5rem;
    height: 8.1rem;
    background: transparent url('../../assets/images/leftmenu/Hide.png') 0% 0% no-repeat padding-box;
    background-size: 4.5rem 8.1rem;
    cursor: pointer;

    &__open {
      left: 39.4rem;
      background: transparent url('../../assets/images/leftmenu/Show.png') 0% 0% no-repeat padding-box;
      background-size: 4.5rem 8.1rem;
    }

    &__open-result {
      left: 133rem;
      background: transparent url('../../assets/images/leftmenu/Show.png') 0% 0% no-repeat padding-box;
      background-size: 4.5rem 8.1rem;
    }

    &__transition {
      transition: left .5s;
    }
  }

  &-link {
    margin-top: 5rem;
  }

  &-filter-text {
    margin-top: 3rem;
    font-size: 2rem;
    cursor: pointer;
    word-spacing: 1rem;
  }

  &-reset-button {
    display: flex;
    justify-content: center;
    margin: 2rem auto;

    &__img {
      width: 80%;
      height: auto;
    }

    &.disabled {
      cursor: not-allowed;
      pointer-events: painted;

      &__img {
        cursor: not-allowed;
        pointer-events: painted;
      }
    }
  }

  &-search {
    position: relative;
    width: 100%;
    height: 5.4rem;
    border-radius: 1.1rem;

    &__icon {
      display: flex;
      justify-content: center;
      align-items: center;
      position: absolute;
      top: 0;
      height: 100%;
      cursor: pointer;

      &-search {
        @extend .left-menu-search__icon;

        right: 0;
        width: 4.8rem;
        border-radius: 0 11px 11px 0;
        font-size: 2.2rem;
        background-color: #a9adff;

        & i {
          color: $blue-darkest;
        }
      }
    }

    &__input {
      box-sizing: border-box;
      width: calc(100% - 4.8rem);
      height: 5.4rem;
      padding: 0 1.2rem;
      border-radius: 1.1rem 0 0 1.1rem;
      font-size: 2rem;
      color: #000000;

      &:focus {
        outline: none;
      }
    }

    &__options {
      margin-top: 2rem;
    }
  }

  @media only screen and (max-width: 1400px) {
    left: -29rem;
    width: 29rem;
    padding: 2rem;

    &__open {
      left: 0;
    }

    &-search {
      height: 4.4rem;

      &__input {
        height: 100%;
      }
    }

    &-filter-text {
      margin-top: 2rem;
    }

    &-indicator {
      &__open {
        left: 28rem;

        &-result {
          left:108rem;
        }
      }
    }
  }
}
